ReferenceSettings
/api/v1/settings/mail
Configure mail
PUT
/api/v1/settings/mailAuthorization
session rezepte_session<token>
Session cookie set by POST /api/v1/auth/login.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/v1/settings/mail" \ -H "Content-Type: application/json" \ -d '{ "from": "string", "host": "string", "port": 1, "security": "starttls" }'{ "$schema": "https://example.com/api/v1/schemas/MailSettings.json", "from": "string", "fromName": "string", "host": "string", "passwordSet": true, "port": 0, "publicUrlMissing": true, "security": "starttls", "source": "env", "username": "string"}